Debian Bug report logs - #242066
pound: please enable DAV support

version graph

Package: pound; Maintainer for pound is Brett Parker <iDunno@sommitrealweird.co.uk>; Source for pound is src:pound.

Reported by: Norbert Tretkowski <nobse@debian.org>

Date: Sun, 4 Apr 2004 15:48:04 UTC

Severity: wishlist

Tags: wontfix

Merged with 340227

Found in version pound/1.8.2-1

Done: Michael Piefel <piefel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sam Johnston <samj@aos.net.au>:
Bug#242066; Package pound. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <nobse@debian.org>:
New Bug report received and forwarded. Copy sent to Sam Johnston <samj@aos.net.au>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <nobse@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pound: please enable DAV support
Date: Sun, 04 Apr 2004 17:39:44 +0200
Package: pound
Version: N/A; reported 2004-04-04
Severity: wishlist

Please add --enable-msdav to configure options in debian/rules. It's
required for DAV support.

Another point, pound 1.7 was released two weeks ago.

-- System Information
Debian Release: 3.0+backports.org
Architecture: i386
Kernel: Linux rollcage 2.4.25-1-k7 #1 Sat Feb 28 18:32:31 CET 2004 i686
Locale: LANG=POSIX, LC_CTYPE=de_DE




Tags added: wontfix Request was from Michael Piefel <piefel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Johnston <samj@aos.net.au>:
Bug#242066; Package pound. Full text and rfc822 format available.

Acknowledgement sent to stappers@stappers.nl (Geert Stappers):
Extra info received and forwarded to list. Copy sent to Sam Johnston <samj@aos.net.au>. Full text and rfc822 format available.

Message #12 received at 242066@bugs.debian.org (full text, mbox):

From: stappers@stappers.nl (Geert Stappers)
To: 242066@bugs.debian.org
Subject: from the README found in 1.8.2
Date: Fri, 20 May 2005 11:20:53 +0200
WebDAV

    As of version 1.0 *Pound* supports the full WebDAV command-set. In
    fact, it has been tested and is known to (almost) work with the
    Microsoft Outlook Web Gateway, which is quite remarkable given that
    Microsoft's own proxy does not.

    Regrettably, Microsoft adherence to standards leaves something to be
    desired: they decided to add some characters to their URLs - thus
    breaking a whole set of RFC's.

    Rather then change *Pound* to accept these characters (which could create
    some serious issues with security on other systems) we have made this
    behavior dependent on a compile-time switch. This is not accessible
    through the config file - you'll have to add -DMSDAV to the CFLAGS in
    the Makefile (or run configure --enable-msdav). You are free to do so,
    but be aware of what the implications are!

    In addition to this flag you must specify 'WebDAV 1' in the config file.
    If you also use the SSL wrapper feature in front of a Microsoft server
    you should probably also add 'HTTPSHeaders 1 "Front-End-Https: on"'.

    These changes are also required to access a Subversion server via
    *Pound*.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#242066; Package pound. Full text and rfc822 format available.

Acknowledgement sent to Sam Johnston <samj@aos.net.au>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #17 received at 242066@bugs.debian.org (full text, mbox):

From: Sam Johnston <samj@aos.net.au>
To: Joerg Wendland <joergland@debian.org>, Michael Piefel <piefel@debian.org>
Cc: Joey Hess <joeyh@debian.org>
Subject: pound package
Date: Mon, 29 Aug 2005 18:11:42 +0100
Gents,

Just a quick note to say thanks for your assistance with maintenance
of the pound package in my extended absence; Michael and Joerg for
your NMUs and Joey for the security fix.

I would like to see about resolving the last of the bugs; see my
comments about each of them below:

#263578: SSL is currently completely broken
OK to close? SSL_CTX_set_session_id_context is now being set
intelligently, identifying an instance by app, process and thread [1]

#320220: SSL problem with pound-1.9 and Firefox 1.0.6
1.9 introduced this functionality as a 'bug fix':
 *   added a check for MSIE before forcing SSL shutdown[2]
As such I'm unconvinced that the 'fix' requested will make it into the
next release as a 'fix fix' (effectively reverting to the previous
behaviour so far as I can tell). I think we should ask upstream what
they think about the issue.

#242066: please enable DAV support
Apparently one also needs a config setting, but to be sure I trawled
through the code and found that the list of characters matched in
regular expressions is more lenient with this option enabled, even
when the config file setting is disabled. The functionality seems
useful enough to be included in pound proper (eg for subversion
support), even if without the extra characters. Ideally they would be
separate runtime options. This would no doubt require an amount of
work upstream though.

Cheers,

Sam

1.
http://www.openssl.org/docs/ssl/SSL_CTX_set_session_id_context.html
snprintf(sess_id, 32, "%d-Pound-%d", getpid(), i);
SSL_CTX_set_session_id_context(ctx[i], sess_id, strlen(sess_id));

2. 
http://www.openssl.org/docs/ssl/SSL_set_shutdown.html



Information forwarded to debian-bugs-dist@lists.debian.org, Sam Johnston <samj@aos.net.au>:
Bug#242066; Package pound. Full text and rfc822 format available.

Acknowledgement sent to Sam Johnston <samjie@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sam Johnston <samj@aos.net.au>. Full text and rfc822 format available.

Message #22 received at 242066@bugs.debian.org (full text, mbox):

From: Sam Johnston <samjie@gmail.com>
To: pound@apsis.ch
Cc: 242066@bugs.debian.org
Subject: Re: [Pound Mailing List] PROPFIND 501 Not Implemented - after upgrading from 1.8.2 to 1.9.4
Date: Wed, 2 Nov 2005 11:56:56 +0000
There is a typo in my last post which points at the wrong bug. Please
reply to this post (cc 242066), NOT the last (cc 242866).

thanks

 - samj

On 11/2/05, Sam Johnston <samjie@gmail.com> wrote:
> > > I just upgraded pound-1.8.2 to pound-1.9.4-1 on a Debian 3.1 serving
> > > up subversion repository.
> > >
> > > I verified that pound.cfg (unmodified)  still contains these 2 entries:
> > >
> > > ExtendedHTTP    1
> > > WebDAV          1
> > >
> > > After restarting pound, I get PROFIND 501 Not Implemented errors when
> > > I try to access the repository.
> > >
> > > I installed pound-1.9.4-1 using apt-get (did not compile from source).
> > >
> > Well, turns out the prior version was compiled from source with
> > --enable-msdav added.
>
> I don't recall this ever having been the case for the Debian package
> (see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=242066), but it
> would be easy enough to verify - it's public information :)
>
> Here were my comments on the issue back in August:
>
> #242066: please enable DAV support
> Apparently one also needs a config setting, but to be sure I trawled
> through the code and found that the list of characters matched in
> regular expressions is more lenient with this option enabled, even
> when the config file setting is disabled. The functionality seems
> useful enough to be included in pound proper (eg for subversion
> support), even if without the extra characters. Ideally they would be
> separate runtime options. This would no doubt require an amount of
> work upstream though.
>
> > To fix, just use dpkg-source and then dpkg-buildpackage after modifying
> > ./debian/rules in the unpacked directory.
>
> I would like to support subversion by default. My understanding of the
> situation is this:
>
>  - we enforce RFC compliance. this is good and i agree with it.
>  - subversion should be RFC compliant - is it?
>  - MSDAV is not RFC compliant and needs workarounds which have to be
> enabled at compile time
>  - currently subversion and msdav are bundled together under the same
> compile time and config directives and as such I can't make a
> subversion friendly package without also introducing potential
> security issues associated with allowing MSDAV.
>
> Please let me know if these assumptions are accurate,
>
> Sam
>



Information forwarded to debian-bugs-dist@lists.debian.org, Sam Johnston <samj@aos.net.au>:
Bug#242066; Package pound. Full text and rfc822 format available.

Acknowledgement sent to FX <gentoo@sbcglobal.net>:
Extra info received and forwarded to list. Copy sent to Sam Johnston <samj@aos.net.au>. Full text and rfc822 format available.

Message #27 received at 242066@bugs.debian.org (full text, mbox):

From: FX <gentoo@sbcglobal.net>
To: pound@apsis.ch
Cc: 242066@bugs.debian.org
Subject: Re: [Pound Mailing List] PROPFIND 501 Not Implemented - after upgrading from 1.8.2 to 1.9.4
Date: Wed, 02 Nov 2005 13:45:26 -0600
Sam Johnston wrote:

>I don't recall this ever having been the case for the Debian package
>(see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=242066), but it
>would be easy enough to verify - it's public information :)
>
>Here were my comments on the issue back in August:
>
>#242066: please enable DAV support
>Apparently one also needs a config setting, but to be sure I trawled
>through the code and found that the list of characters matched in
>regular expressions is more lenient with this option enabled, even
>when the config file setting is disabled. The functionality seems
>useful enough to be included in pound proper (eg for subversion
>support), even if without the extra characters. Ideally they would be
>separate runtime options. This would no doubt require an amount of
>work upstream though.
>
>  
>
>>To fix, just use dpkg-source and then dpkg-buildpackage after modifying
>>./debian/rules in the unpacked directory.
>>    
>>
>
>I would like to support subversion by default. My understanding of the
>situation is this:
>
> - we enforce RFC compliance. this is good and i agree with it.
> - subversion should be RFC compliant - is it?
> - MSDAV is not RFC compliant and needs workarounds which have to be
>enabled at compile time
> - currently subversion and msdav are bundled together under the same
>compile time and config directives and as such I can't make a
>subversion friendly package without also introducing potential
>security issues associated with allowing MSDAV.
>
>Please let me know if these assumptions are accurate,
>
>Sam
>
>  
>

Sam,

I agree with you for the reasons you list.  And the effort involved for 
users to modify debian/rules and dpkg-buildpackage is minimal.

Speaking of Debian packages, will pound 2.0 go into pound or pound2 when 
released?





Merged 242066 340227. Request was from "Sam Johnston" <samj@samj.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from "Sam Johnston" <samj@samj.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Michael Piefel <piefel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Norbert Tretkowski <nobse@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 242066-close@bugs.debian.org (full text, mbox):

From: Michael Piefel <piefel@debian.org>
To: 242066-close@bugs.debian.org
Subject: pound is WebDAV-capable
Date: Thu, 29 Mar 2007 10:16:42 +0200
[Message part 1 (text/plain, inline)]
The pound proxy is now built with WebDAV support by default, it is
disabled by default. The corresponding configuration option xHTTP is per
listen address. Please consult the manual.


-- 
|=| Michael Piefel
|=| Member of the Debian project
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Piefel <piefel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Zbynek Doupovec <zbynek@doupovec.cz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 20:55:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:30:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.